Create join/stitch job
curl --request POST \
--url https://api.nexrender.com/api/v2/jobs/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"type": "video",
"src": "<string>"
}
],
"settings": {
"preset": "mp4"
},
"upload": {
"prefix": "<string>",
"outputUrl": "<string>",
"provider": "s3"
}
}
'import requests
url = "https://api.nexrender.com/api/v2/jobs/join"
payload = {
"assets": [
{
"type": "video",
"src": "<string>"
}
],
"settings": { "preset": "mp4" },
"upload": {
"prefix": "<string>",
"outputUrl": "<string>",
"provider": "s3"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [{type: 'video', src: '<string>'}],
settings: {preset: 'mp4'},
upload: {prefix: '<string>', outputUrl: '<string>', provider: 's3'}
})
};
fetch('https://api.nexrender.com/api/v2/jobs/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nexrender.com/api/v2/jobs/join",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assets' => [
[
'type' => 'video',
'src' => '<string>'
]
],
'settings' => [
'preset' => 'mp4'
],
'upload' => [
'prefix' => '<string>',
'outputUrl' => '<string>',
'provider' => 's3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nexrender.com/api/v2/jobs/join"
payload := strings.NewReader("{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nexrender.com/api/v2/jobs/join")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nexrender.com/api/v2/jobs/join")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "queued",
"outputUrl": "<string>",
"children": [
{
"id": "<string>",
"status": "queued",
"function": "<string>",
"outputUrl": "<string>",
"missingFonts": [
"<string>"
],
"children": "<array>"
}
],
"missingFonts": [
"<string>"
]
}{
"error": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Rendering Jobs
Create join/stitch job
Create a job that stitches multiple videos together. Assets can be static video URLs or nested job definitions that render first. When assets include nested jobs, child jobs are created and rendered before the parent stitch operation. The parent job enters ‘pending’ state until all children complete.
POST
/
jobs
/
join
Create join/stitch job
curl --request POST \
--url https://api.nexrender.com/api/v2/jobs/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"type": "video",
"src": "<string>"
}
],
"settings": {
"preset": "mp4"
},
"upload": {
"prefix": "<string>",
"outputUrl": "<string>",
"provider": "s3"
}
}
'import requests
url = "https://api.nexrender.com/api/v2/jobs/join"
payload = {
"assets": [
{
"type": "video",
"src": "<string>"
}
],
"settings": { "preset": "mp4" },
"upload": {
"prefix": "<string>",
"outputUrl": "<string>",
"provider": "s3"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [{type: 'video', src: '<string>'}],
settings: {preset: 'mp4'},
upload: {prefix: '<string>', outputUrl: '<string>', provider: 's3'}
})
};
fetch('https://api.nexrender.com/api/v2/jobs/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nexrender.com/api/v2/jobs/join",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assets' => [
[
'type' => 'video',
'src' => '<string>'
]
],
'settings' => [
'preset' => 'mp4'
],
'upload' => [
'prefix' => '<string>',
'outputUrl' => '<string>',
'provider' => 's3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nexrender.com/api/v2/jobs/join"
payload := strings.NewReader("{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nexrender.com/api/v2/jobs/join")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nexrender.com/api/v2/jobs/join")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assets\": [\n {\n \"type\": \"video\",\n \"src\": \"<string>\"\n }\n ],\n \"settings\": {\n \"preset\": \"mp4\"\n },\n \"upload\": {\n \"prefix\": \"<string>\",\n \"outputUrl\": \"<string>\",\n \"provider\": \"s3\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "queued",
"outputUrl": "<string>",
"children": [
{
"id": "<string>",
"status": "queued",
"function": "<string>",
"outputUrl": "<string>",
"missingFonts": [
"<string>"
],
"children": "<array>"
}
],
"missingFonts": [
"<string>"
]
}{
"error": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer token authentication using API tokens for team-based access control.
You can generate your own API token at: https://app.nexrender.com/settings/api-tokens
Body
application/json
Configuration for creating a join/stitch job that combines multiple videos into one
Response
Join job successfully created
Response after creating a job, includes children info for parent jobs
Was this page helpful?

